package cn.com.qmth.examcloud.core.oe.student.service;

import cn.com.qmth.examcloud.core.basic.api.bean.CourseBean;
import cn.com.qmth.examcloud.core.oe.common.entity.ExamRecordEntity;
import cn.com.qmth.examcloud.core.oe.common.entity.ExamStudentEntity;
import cn.com.qmth.examcloud.examwork.api.bean.ExamBean;

/**
 * 
 * @author  	chenken
 * @date    	2018年9月1日 上午10:28:52
 * @company 	QMTH
 * @description 考试记录服务接口
 */
public interface ExamRecordService {

	/**
	 * 开始考试,创建考试记录
	 * @param examStudentEntity	考生
	 * @param examBean			考试
	 * @param courseBean		课程
	 * @param basePaperId		基础试卷ID-题库
	 * @param paperStructId		新试卷结构ID-网考
	 * @return
	 */
	public ExamRecordEntity createExamRecord(ExamStudentEntity examStudent,ExamBean examBean,CourseBean courseBean,String basePaperId,String paperStructId);
	
}
