package cn.com.qmth.examcloud.core.oe.student.service.impl;

import cn.com.qmth.examcloud.core.oe.common.entity.ExamRecordEntity;
import cn.com.qmth.examcloud.core.oe.common.repository.ExamRecordRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.common.entity.ExamRecordDataEntity;
import cn.com.qmth.examcloud.core.oe.common.entity.ExamRecordPaperStructEntity;
import cn.com.qmth.examcloud.core.oe.common.repository.ExamRecordDataRepo;
import cn.com.qmth.examcloud.core.oe.common.repository.ExamRecordPaperStructRepo;
import cn.com.qmth.examcloud.core.oe.student.service.ExamRecordPaperStructService;
import cn.com.qmth.examcloud.web.helpers.GlobalHelper;

/**
 * 
 * @author  	chenken
 * @date    	2018年9月1日 下午3:01:30
 * @company 	QMTH
 * @description 考试记录-试卷结构服务实现
 */
@Service("examRecordPaperStructService")
public class ExamRecordPaperStructServiceImpl implements ExamRecordPaperStructService{

	@Autowired
	private ExamRecordDataRepo examRecordDataRepo;
	
	@Autowired
	private ExamRecordPaperStructRepo examRecordPaperStructRepo;
	@Autowired
	private ExamRecordRepo examRecordRepo;
	@Override
	public ExamRecordPaperStructEntity getExamRecordPaperStruct(Long examRecordDataId) {
		ExamRecordDataEntity examRecordData = GlobalHelper.getEntity(examRecordDataRepo,examRecordDataId,ExamRecordDataEntity.class);
		ExamRecordEntity examRecord =GlobalHelper.getEntity(examRecordRepo,examRecordData.getExamRecordId(),ExamRecordEntity.class);
		return GlobalHelper.getEntity(examRecordPaperStructRepo,examRecord.getPaperStructId(),ExamRecordPaperStructEntity.class);
	}

}
